> ## Documentation Index
> Fetch the complete documentation index at: https://docs.zype.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Playlist Videos

Retrieve a list of playlists from your library

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Platform",
    "version": "1.0.0",
    "description": ""
  },
  "servers": [
    {
      "url": "https://api.zype.com/"
    }
  ],
  "security": [
    {
      "api_key": []
    }
  ],
  "components": {
    "securitySchemes": {
      "api_key": {
        "type": "apiKey",
        "name": "api_key",
        "in": "query"
      }
    }
  },
  "paths": {
    "/playlists/{id}/videos": {
      "get": {
        "summary": "List Playlist Videos",
        "description": "Retrieve a list of playlists from your library",
        "tags": [
          "Playlists"
        ],
        "operationId": "listPlaylistVideos",
        "parameters": [
          {
            "name": "id",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "ID of playlist"
          },
          {
            "name": "page",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer"
            },
            "description": "Page number to return, with per_page dictating page size"
          },
          {
            "name": "per_page",
            "in": "query",
            "required": false,
            "schema": {
              "type": "integer"
            },
            "description": "Number of records to return per page"
          },
          {
            "name": "sort",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "Sort on the specified field"
          },
          {
            "name": "source_id",
            "in": "query",
            "required": false,
            "schema": {
              "type": "string"
            },
            "description": "Filter by source identifier"
          },
          {
            "name": "zobject_details",
            "in": "query",
            "description": "Setting to `true` will display the full Zobject details, including any custom attributes, for each video record returned in your query.",
            "required": false,
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "zobject_types",
            "in": "query",
            "description": "Filter zobject details by Zobject type. Example: zobject_types=episode,season",
            "required": false,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "zobject_fields",
            "in": "query",
            "description": "Filter returned zobject fields. Example: zobject_fields=title,description",
            "required": false,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Return videos for a specific playlist",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1videos/get/responses/200/content/application~1json/schema"
                }
              }
            }
          },
          "404": {
            "description": "Playlist not found",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1app/get/responses/404/content/application~1json/schema"
                }
              }
            }
          },
          "422": {
            "description": "Unprocessable entity",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/paths/~1videos/get/responses/422/content/application~1json/schema"
                }
              }
            }
          }
        }
      }
    }
  }
}
```